Package org.apache.sysds.runtime.io

# Class FrameWriterFactory

java.lang.Object
org.apache.sysds.runtime.io.FrameWriterFactory

public class FrameWriterFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`FrameWriterFactory()`

## Method Summary

Modifier and Type
Method
Description
`static FrameWriter`
`createFrameWriter(Types.FileFormat fmt)`
`static FrameWriter`
`createFrameWriter(Types.FileFormat fmt, FileFormatProperties props)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameWriterFactory

public FrameWriterFactory()

## Method Details

### createFrameWriter

public static FrameWriter createFrameWriter(Types.FileFormat fmt)

### createFrameWriter

public static FrameWriter createFrameWriter(Types.FileFormat fmt, FileFormatProperties props)